%define oname   itextomml

Name:       ruby-%{oname}
Version:    1.5.2
Release:    %mkrel 1
Summary:    Native Ruby bindings to itex2MML
Group:      Development/Ruby
License:    GPLv2 or MPL
URL:        http://golem.ph.utexas.edu/~distler/blog/itex2MML.html
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
itextomml provides native Ruby bindings to itex2MML, which converts itex
equations to MathML.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Jan 04 2016 pterjan <pterjan> 1.5.2-1.mga6
+ Revision: 919681
- Update to 1.5.2

* Wed Dec 02 2015 spuhler <spuhler> 1.4.10-12.mga6
+ Revision: 907676
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 1.4.10-11.mga5
+ Revision: 741122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.10-10.mga5
+ Revision: 688842
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.4.10-9.mga4
+ Revision: 561987
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.4.10-8.mga4
+ Revision: 561350
- Fix gem macros

* Sun Dec 22 2013 pterjan <pterjan> 1.4.10-7.mga4
+ Revision: 560021
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 1.4.10-6.mga4
+ Revision: 535570
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.4.10-5.mga4
+ Revision: 482119
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.4.10-4.mga4
+ Revision: 479940
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.4.10-3.mga3
+ Revision: 396092
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.10-2.mga3
+ Revision: 381056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.10-1.mga3
+ Revision: 313070
- new version 1.4.10

* Sat Feb 12 2011 shikamaru <shikamaru> 1.4.5-1.mga1
+ Revision: 50807
- imported package ruby-itextomml


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.4.5-1
- Initial package
